<%--==========================================================================
Licensed Materials - Property of IBM

WebSphere Commerce

(c) Copyright IBM Corp.  2006, 2007
All Rights Reserved

US Government Users Restricted Rights - Use, duplication or
disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
===========================================================================--%>

<?xml version="1.0" encoding="UTF-8"?>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://commerce.ibm.com/foundation" prefix="wcf"%>
<%-- Decide which expression builder to call based on the input --%>

<wcf:getData
	type="com.ibm.commerce.catalog.facade.datatypes.CatalogEntryType[]"
	var="catentries" expressionBuilder="findMyCompanyAdvancedSearch"
	varShowVerb="showVerb"
	recordSetStartNumber="${param.recordSetStartNumber}"
	recordSetReferenceId="${param.recordSetReferenceId}"
	maxItems="${param.maxItems}">
	<wcf:contextData name="storeId" data="${param.storeId}" />
	<wcf:contextData name="catalogId" data="${catalog}" />
	<wcf:param name="shortDescription" value="" />
	<wcf:param name="mfPartNumber" value="${param.mfPartNumber}" />
	<wcf:param name="mfName" value="${param.manufacturer}" />
	<wcf:param name="groupIdentifier" value="${param.parentCategory}" />

	<c:if test="${param.wartermSelection != 'null'}">
		<c:set var="warterm" value="${param.wartermSelection}" />
	</c:if>
	<wcf:param name="wartermSelection" value="${warterm}" />

	<c:if test="${param.wartypeSelection != 'null'}">
		<c:set var="wartype" value="${param.wartypeSelection}" />
	</c:if>
	<wcf:param name="wartypeSelection" value="${wartype}" />


	<wcf:param name="partNumber" value="${catentryCode}" />
	<wcf:param name="name" value="${catentryName}" />

	<c:set var="productExp" value="ProductBean" />
	<c:set var="bundleExp" value="BundleBean" />
	<c:set var="kitExp" value="PackageBean" />
	<c:set var="dynamicKitExp" value="DynamicKitBean" />
	<c:set var="SKUExp" value="ItemBean" />

	<c:if test="${(empty param.published)}">
		<wcf:param name="published" value="" />
	</c:if>

	<c:if test="${param.published == '1'}">
		<wcf:param name="published" value="1" />
	</c:if>

	<c:if test="${param.published == '2'}">
		<wcf:param name="published" value="0" />
	</c:if>

	<c:if test="${param.published == '3'}">
		<wcf:param name="published" value="" />
	</c:if>

	<c:if test="${(empty param.catentryTypes)}">
		<wcf:param name="catEntryTypes"
			value="${productExp},${bundleExp},${kitExp},${dynamicKitExp},${SKUExp}" />
	</c:if>
	<c:if test="${param.catentryTypes == '1'}">
		<wcf:param name="catEntryTypes"
			value="${productExp},${bundleExp},${kitExp},${dynamicKitExp}" />
	</c:if>
	<c:if test="${param.catentryTypes == '2'}">
		<c:set var="typeParam" value="" />

		<c:if test="${param.typeProducts == 'true'}">
			<c:if test="${typeParam != ''}">
				<c:set var="typeParam" value="${typeParam}," />
			</c:if>
			<c:set var="typeParam" value="${typeParam}${productExp}" />
		</c:if>

		<c:if test="${param.typeBundles == 'true'}">
			<c:if test="${typeParam != ''}">
				<c:set var="typeParam" value="${typeParam}," />
			</c:if>
			<c:set var="typeParam" value="${typeParam}${bundleExp}" />
		</c:if>

		<c:if test="${param.typeKits == 'true'}">
			<c:if test="${typeParam != ''}">
				<c:set var="typeParam" value="${typeParam}," />
			</c:if>
			<c:set var="typeParam" value="${typeParam}${kitExp},${dynamicKitExp}" />
		</c:if>

		<c:if test="${param.typeSKUs == 'true'}">
			<c:if test="${typeParam != ''}">
				<c:set var="typeParam" value="${typeParam}," />
			</c:if>
			<c:set var="typeParam" value="${typeParam}${SKUExp}" />
		</c:if>

		<wcf:param name="catEntryTypes" value="${typeParam}" />
	</c:if>

</wcf:getData>
<jsp:directive.include
	file="../../commerce/catalog/restricted/serialize/SerializeCatalogEntries.jspf" />
